﻿@using System.Web.UI.WebControls;
@using Portal.Models.Forecast;
@using Portal.Models.SupplierFeedbackPart; 
@using Toyota.Common.Web.Credential;

@model Toyota.Common.Web.MVC.ModelHolder



@Html.DevExpress().TextBox(
    label =>
    {
        label.Name = "tempReply";
        label.ClientVisible = false;
    }).GetHtml()
@Html.DevExpress().TextBox(
    label =>
    {
        label.Name = "tempPlantCap";
        label.ClientVisible = false;
    }).GetHtml()
@Html.DevExpress().TextBox(
    label =>
    {
        label.Name = "tempRawComp";
        label.ClientVisible = false;
    }).GetHtml()
@Html.DevExpress().TextBox(
    label =>
    {
        label.Name = "tempRawMat";
        label.ClientVisible = false;
    }).GetHtml()
@Html.DevExpress().TextBox(
    label =>
    {
        label.Name = "tempQty";
        label.ClientVisible = false;
    }).GetHtml()
@Html.DevExpress().TextBox(
    label =>
    {
        label.Name = "tempDock";
        label.ClientVisible = false;
    }).GetHtml()
@Html.DevExpress().TextBox(
    label =>
    {
        label.Name = "tempPartNo";
        label.ClientVisible = false;
    }).GetHtml()
@Html.DevExpress().TextBox(
    label =>
    {
        label.Name = "tempKeys";
        label.ClientVisible = false;
    }).GetHtml()


<table cellpadding="0" cellspacing="0" style="width:100%; height:100%; padding: 10px;">
    <tr style="height:20px;">
        <td style="width: 115px;">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Supplier Code";
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "detailSupplierCode";
                    settings.Width = Unit.Percentage(100);
                    settings.Enabled = false;
                    settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                    settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);

                }
            ).GetHtml()
        </td>
    </tr>
    <tr style="height:5px"></tr> @* row spacing *@
    <tr style="height:20px;">
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Supplier Plant Code";
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "detailSupplierPlant";
                    settings.Width = Unit.Percentage(100);
                    settings.Enabled = false;
                    settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                    settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);

                }
            ).GetHtml()
        </td>
    </tr>
    <tr style="height:5px"></tr> @* row spacing *@
    <tr style="height:20px;">
        <td>
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Timing";
                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "detailTiming";
                    settings.Width = Unit.Percentage(100);
                    //settings.Text = "Keihen";
                    settings.Enabled = false;
                    settings.ControlStyle.ForeColor = System.Drawing.Color.Black;
                    settings.ControlStyle.BackColor = System.Drawing.Color.FromArgb(0xEC, 0xE6, 0xE6);

                    //settings.Text = Convert.ToString(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartParameter>(), "VERSION")) == "T" ? "Tentative" : "Firm";

                }
            ).GetHtml()
        </td>
    </tr>
    <tr style="height:5px"></tr> @* row spacing *@
    <tr>
        <td colspan="2" align="right" style="vertical-align:bottom">
         
            @Html.DevExpress().Button(
                    setting =>
                    {
                        var check = "";
                        
                        setting.Name = "ConfirmButton";
                        setting.Text = "Confirm";
                        setting.Width = Unit.Pixel(60);
                        setting.ClientSideEvents.Click = "onOKClear";

                        /*
                        check = Convert.ToString(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "LOCK"));

                        if (check == "1")
                        {
                            setting.Enabled = false;
                        }

                        else
                        {
                            if (DataBinder.Eval(Model.GetModel<SupplierFeedbackPartParameter>(), "PARENT") == "0")
                                setting.Enabled = false;
                            else
                            {
                                var authorized = Model.GetModel<User>().IsAuthorized("Forecast", "FFPConfirmButton");
                                switch (authorized)
                                {
                                    case 0:
                                        setting.ClientVisible = false;
                                        break;
                                    case 1:
                                        setting.ClientVisible = true;
                                        setting.Enabled = false;
                                        break;
                                    case 2:
                                        setting.ClientVisible = true;
                                        setting.Enabled = Convert.ToBoolean(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "IS_CONFIRMED")) == true ? false : true;
                                        break;
                                    default:
                                        setting.ClientVisible = true;
                                        setting.Enabled = Convert.ToBoolean(DataBinder.Eval(Model.GetModel<SupplierFeedbackPartStatus>(), "IS_CONFIRMED")) == true ? false : true;
                                        break;
                                }
                            }
                        }*/
                    }
                ).GetHtml()
        </td>
    </tr>
</table>